require "devflow/command"

module DevFlow
  module Commands
    class Branch < DevFlow::Command
      def call
        unless assignment
          puts "No such task"
          exit 1
        end

        branch = "#{assignment[:id]}-#{DevFlow.branchify(assignment[:name])}"

        `git checkout -b #{branch}`
      end

      private

      def assignments
        DevFlow::TargetProcess.assignments
      end

      def assignment
        @assignment ||=
          if assignments.count == 1
            assignments.first
          else
            puts "Multiple tasks in progress. Which one are you working on?"
            assignments.each do |a|
              puts "#{a[:id]}: #{a[:name]}"
            end
            selection = gets.chomp.to_i

            assignments.find { |a| a[:id] == selection }
          end
      end
    end
  end
end
