module DevFlow
  class TargetProcess
    class RequestError < StandardError
      attr_reader :response, :request

      def initialize(response)
        @response = response
        @request = response.request

        super("Error from TP: #{response.code} - #{response.body}")
      end
    end

    class ConfigError < StandardError
      def initialize(key)
        super("Missing environment variable: #{key}")
      end
    end
  end
end
